import { IConvertOptions, IParseOptions } from '../types';
export declare function convert({ source, target, original, sourceLanguage, targetLanguage, }: IConvertOptions): IParseOptions;
export declare function parse({ content }: IParseOptions): IConvertOptions;
export declare function formatDate(date: Date): string;
export declare function timezoneOffset(date: Date): string;
export declare function gettextComment(prefix: string, value: string, maxCharWidth: number): string;
export declare function gettextString(prefix: string, value: string, maxCharWidth: number): string;
interface IGettextEntry {
    translatorCommentLines: string[];
    extractedCommentLines: string[];
    references: string[];
    flags: string[];
    msgctxt: string;
    msgid: string;
    msgstr: string;
}
export interface IGettext extends Array<IGettextEntry> {
}
export declare function gettextToJs(content: string): IGettext;
export {};
